System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.IComponent System.Web.IHttpAsyncHandler System.ComponentModel.ToolboxItem(false) Base class for all ASP.NET applications. This class is the base class for ASP.NET applications. An application exists on a directory, and if such directory contains a Global.asax file, the contents of that file are used to create a derived type of HttpApplication. The runtime will create one or more classes derived from HttpApplication to handle incoming requests for a directory (an application). The number of live instances at any given time is typically capped by the number of available threads on the thread pool and the instances are reused across different clients and incoming requests.

HttpApplication implements the and which are used to drive the execution of incoming requests. Handing of a request is initiated by invoking the method for a synchronous operation or to initiate a processing asynchronously.

The application will load and initialize all of the modules listed in the system.web/httpModules section in the machine.config and web.config files. The modules work by hooking up to different stages of the HTTP processing pipeline described below.

The application execution pipeline is made up of a number of steps to which HTTP Modules can hook up. HTTP Modules are types that implement the interface and they hook up to or or more of the stages of the Http Application pipeline synchronously (by adding their handler to one of HttpApplication's events) or asynchronously by using one or more of the AddOn methods of HttpApplication.

Steps are executed in order and the application will only move to the next stage of execution when all of the hooks (synchronous and asynchronous) have been executed for the given stage.

Stage
Description
BeginRequest
The first stage of the pipeline processing.
AuthenticateRequest
Authentication stage. For example the hooks up to this stage to implement forms authentication.
AuthorizeRequest
The autorization stage. For example the uses this synchronously.
ResolveRequestCache
Caching is handled at this stage. For example Mono's internal OutputCacheModule hooks up to this event to provide caching functionality (if the page has enabled caching).
AcquireRequestState
Allows session state providers to be written. Mono provides three session state providers: InProc, StateServer and SQLServer based on the data from the "system.web/sessionState" section on machine.config and web.config.
PreRequestHandlerExecute
An even to hook up before the actual request is handled by the application handler
Application handler.
This is where user-defined code is executed.
PostRequestHandlerExecute
Executed immediately after the application request has been executed.
ReleaseRequestState
Invoked to release any resources associated with the session state.
UpdateRequestCache
Should be used to update the cache if any.
EndRequest
The last step of the request processing. Unlike the previous stages, this stage will always be executed regardless of whether a module called or not.

If buffering is enabled (the default) the page will be flushed after the EndRequest stage has been completed.

Two other events are triggered: before writing the HTTP headers () and one before the content of the HTTP request is sent ().

- Constructor
  Initializes the HttpApplication class.
  To be added
  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. Registers asynchronous handlers for the event. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Web.HttpApplicationState To be added To be added: an object of type 'HttpApplicationState' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Stops the execution of the request pipeline. This methods stops the execution of the HttpApplication pipeline and completes the request.

  If this method is invoked at any stage in the pipeline processing (described in more detail in ) the remaining steps of the pipeline are not executed. The only step executed is the EndRequest step.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpContext To be added To be added: an object of type 'HttpContext' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  System.Void Notifies the application that it is being disposed. This method will notify all loaded modules that they are being stopped by invoking their method. 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.EventHandlerList To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'HttpContext' To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Property
  System.Web.HttpModuleCollection To be added To be added: an object of type 'HttpModuleCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler Event invoked before the contents of the HTTP contents is sent This event is triggered before the actual HTTP content is sent. Unlike most other events in the HttpApplication, this event is not available to be executed asynchronously. 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler Event invoked before the contents of the HTTP request headers are sent. This event is triggered before the actual HTTP headers are sent. Unlike most other events in the HttpApplication, this event is not available to be executed asynchronously. 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpRequest To be added To be added: an object of type 'HttpRequest' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpResponse To be added To be added: an object of type 'HttpResponse' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Web.HttpServerUtility To be added To be added: an object of type 'HttpServerUtility' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Web.SessionState.HttpSessionState To be added To be added: an object of type 'SessionState.HttpSessionState' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.ComponentModel.ISite To be added a To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  1.0.5000.0
  2.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Security.Principal.IPrincipal To be added a To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)